package ink.wgink.module.form.controller.route.docno;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: DocNoController
 * @Description: 文号
 * @Author: CodeFactory
 * @Date: 2022-06-24 15:06:48
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "文号路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/doc-no")
public class DocNoRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("doc-no/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("doc-no/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("doc-no/list");
    }

    @GetMapping("select/list")
    public ModelAndView selectList() {
        return new ModelAndView("doc-no/select/list");
    }

}